<!doctype html>

<html>
  <head>
    <meta charset="utf-8">
    <title>{{site.data.localisations.dotarota[page.lang]}} - {{ page.title }}</title>

    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/main.css">
    <link rel="stylesheet" type="text/css" href="{{site.baseurl}}/css/bootstrap_slate_theme.css">

  </head>
  <body>
    <div class="topbar">
      {% include topbar.html %}
    </div>
    <div class="central">
        <div class="navbar">
            {% capture navContext %}/en/{% endcapture %}
            {% include nav.html context=navContext %}
        </div>
        <div class="main">

          {% assign actualPage = page %}
          {% if actualPage.duplicateFromOriginal or page.isStub %}
            {% assign actualPage = site.pages | where: 'lang', 'en' | where: 'content_id', page.content_id | first %}
          {% endif %}

          {% assign listElements = site.pages | where: 'lang', 'en' | where: 'contentType', page.listType %}

          {% if page.isStub %}
            <div class="premonition warning">
              <div class="fa fa-exclamation-circle"></div>
              <div class="content"><p class="header">{{ site.data.localisations.localised_page_unavailable_title[page.lang] }}</p>
              <p>{{ site.data.localisations.localised_page_unavailable[page.lang] }}</p>
            </div></div>
          {% endif %}

          {{ actualPage.content }}

          <!-- Contains the filter-by-tags -->
          <div class="filterBox">
            <h5>{{ site.data.localisations.filter_tags[page.lang] }}</h5>
            {% for tag in actualPage.filterTags %}
            <button class="filterButton"
              onclick="
                if (this.classList.contains('filter-required')) {
                  this.classList.toggle('filter-required');
                  this.classList.toggle('filter-blocked');        
                  document.getElementById('listContainer')
                        .classList
                        .toggle('{{tag}}-required');
                  document.getElementById('listContainer')
                          .classList
                          .toggle('{{tag}}-blocked');
                } else if (this.classList.contains('filter-blocked')) {
                  this.classList.toggle('filter-blocked');
                  document.getElementById('listContainer')
                          .classList
                          .toggle('{{tag}}-blocked');                  
                } else {
                  this.classList.toggle('filter-required');
                  document.getElementById('listContainer')
                        .classList
                        .toggle('{{tag}}-required');                  
                }''
              "
            >
              {{ site.data.localisations[tag][page.lang] }}
              ({{ site.pages | where: 'lang', 'en' | where: 'contentType', page.listType | where_exp:"pg","pg.tags contains tag" | size }})
            </button>
            {% endfor %}
            {% if actualPage.showHideBroken %}
            <h5>{{ site.data.localisations.broken_mods[page.lang] }}</h5>
            <button class="filterButton filter-required"
              onclick="
                  this.classList.toggle('filter-required');   
                  document.getElementById('listContainer')
                        .classList
                        .toggle('hideBroken');
              "
            >
            {{ site.data.localisations.hide[page.lang] }}
            ({{ site.pages | where: 'lang', 'en' | where: 'contentType', page.listType | where_exp:"pg","pg.brokenByValve != nil" | size }})
            </button>       
            {% endif %}
          </div>

          <!-- Contains the actual cards -->
          <div id="listContainer" class="{{actualPage.extraClass}} hideBroken">

            {% for entry in listElements %}

            {% include card.html entry=entry %}

            {% endfor %}
          </div>

        </div>
    </div>

    <div class="botbar">
      {% include botbar.html %}
    </div>

  </body>
</html>